/**
 * 
 */
package org.openmobileis.embedded.util;

import org.openmobileis.common.util.exception.OpenMISException;

/**
 * @author phil
 *
 */
public interface ISystemAPI {
	
	  /**
	  * Execute a program on mobile and wait until the program ended
	  * @param: String path of the program
	  * @param: Arguments separated by space
	  */
	  public int execProgramAndWait(String path, String args) throws OpenMISException;

	  /**
	  * Execute a program on mobile.
	  * @param: String path of the program
	  * @param: Arguments separated by space
	  */
	  public int execProgram (String path, String args) throws OpenMISException;

	  /**
	  * Get time stamp, same behavior as system.currentTimeMillis in milli
	  * Used to fix Creme V3.1 Bug
	  */
	  public long currentTimeInMillis();

	  /**
	   * Return an unique Id identifying the terminal. 
	   * @return
	   */
	  public String getSystemUniqueID();	
}
