/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  Creation P.Delrieu
 * 
 */
package org.openmobileis.embedded.webserver.templates;

import freemarker.template.FileTemplateCache;

/**
 * @author phil
 *
 */
public final class Freemarkerv1JarTemplateCache extends FileTemplateCache{
	public Freemarkerv1JarTemplateCache(String jarpath)	{
		super();
		super.setRetriever(new Freemarkerv1JarCacheRetriever(jarpath, Thread.currentThread().getContextClassLoader()));
	}

  /**
   * Sets the template suffix. If set, files that do not have this suffix
   * will be ignored when read into the cache.
   *
   * @param filenameSuffix the optional filename suffix of template
   * files to be read for this cache.
   */
  public void setFilenameSuffix(String filenameSuffix) {
      ((Freemarkerv1JarCacheRetriever)super.getRetriever()).setFilenameSuffix( filenameSuffix );
  }

  /**
   * Returns the template suffix. If set, files that do not have this suffix
   * will be ignored when read into the cache.
   *
   * @return the optional filename suffix of template
   * files to be read for this cache.
   */
  public String getFilenameSuffix() {
      return ((Freemarkerv1JarCacheRetriever)super.getRetriever()).getFilenameSuffix();
  }
}
