package org.openmobileis.examples.mycrm.server.synchro;

import java.io.BufferedInputStream;
import java.io.File;
import java.io.FileInputStream;

import org.openmobileis.common.util.log.LogManager;
import org.openmobileis.synchro.openmsp.OpenMSPException;
import org.openmobileis.synchro.openmsp.protocol.Command;
import org.openmobileis.synchro.openmsp.protocol.ContainerMessage;
import org.openmobileis.synchro.openmsp.protocol.DataItem;
import org.openmobileis.synchro.openmsp.protocol.Element;
import org.openmobileis.synchro.openmsp.protocol.Result;
import org.openmobileis.synchro.openmsp.protocol.Status;
import org.openmobileis.synchro.openmsp.server.synctarget.DefaultOpenMSPSynchroTargetListener;
import org.openmobileis.synchro.openmsp.server.util.MemoryFile;
import org.openmobileis.synchro.security.auth.Credential;

public class SampleFileSyncTarget extends DefaultOpenMSPSynchroTargetListener {

	protected void beginProcessOpenMSpCommand(Credential cred)
			throws OpenMSPException {
	}

	protected ContainerMessage[] endProcessOpenMSpCommand()
			throws OpenMSPException {
		LogManager.traceInfo(0, "SampleFileSyncTarget endProcessSyncContainerMessage.");
	    return null;
		}

	public String getTargetName() {
		return "samplefile";
	}

	protected void notifySyncAction(long sessionId, Credential cred,
			Command syncCommand) throws OpenMSPException {
	}

	protected Status processAddCommand(Credential cred,
			ContainerMessage addContainer) throws OpenMSPException {
		return null;
	}

	protected Status processDeleteCommand(Credential cred,
			ContainerMessage deleteContainer) throws OpenMSPException {
		return null;
	}

	protected ContainerMessage[] processGetCommand(Credential cred,
			ContainerMessage cm) throws OpenMSPException {
		// construct return command
		Command getCommand = (Command) cm.getElement();
		long synchroFileModifTS = getCommand.getSourceSessionID();
		long newSessionId = synchroFileModifTS;
		Result resultCommand = new Result(getCommand.getCmdId(), getTargetName(), getTargetName());
		ContainerMessage resultContainer = new ContainerMessage(resultCommand);
		try {
			// validate module file modification date.
			File thefile = this.getSampleFile();
			long filens = thefile.lastModified();
			/*if (synchroFileModifTS < filens)*/
			if (true) { // manage file modification.
				newSessionId = filens;
				this.addFileToSynchro(new MemoryFile("/filedir/"
						+ thefile.getName(), new BufferedInputStream(
						new FileInputStream(thefile))));
				DataItem newItem = new DataItem(Element.ITEM,
						"svs", thefile.getName(), null, null);
				resultContainer.add(newItem);
			} else {
				DataItem newItem = new DataItem(Element.ITEM, "nofile",
						"nofile", null, null);
				resultContainer.add(newItem);
			}
			resultCommand.setMetaInformation(Long.toString(newSessionId));
		} catch (Exception ex) {
			Status status = new Status(getCommand.getCmdId(),
					Status.STATUS_FAILED);
			status.setCmdRef(getCommand.getCmdId());
			ContainerMessage statusContainer = new ContainerMessage(status);
			ContainerMessage[] ret = new ContainerMessage[1];
			ret[0] = statusContainer;
			return ret;
		}
		 
		    
		ContainerMessage[] ret = new ContainerMessage[1];
		ret[0] = resultContainer;
		return ret;
	}

	protected ContainerMessage processMapCommand(Credential cred,
			ContainerMessage mapContainer) throws OpenMSPException {
		return null;
	}

	protected Status processReplaceCommand(Credential cred,
			ContainerMessage replaceContainer) throws OpenMSPException {
		return null;
	}

	protected void processResultCommand(Credential cred, Result resultCommande)
			throws OpenMSPException {
	}

	protected void processStatusCommand(Credential cred, Status statusCommande)
			throws OpenMSPException {
	}

	private File getSampleFile() {
		String path = System.getProperty("user.dir") + File.separator +"samplefiles" + File.separator
				+ "testfile.test";
		return new File(path);
	}

}
