/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  Creation P.Delrieu
 * 
 */
package org.openmobileis.modules.common.gui;

import java.awt.Canvas;
import java.awt.FlowLayout;
import java.awt.Frame;

/**
 * 
 * @author phil
 *
 */
public final class PocketPCSynchroProgressBar {
	private Frame frame;
	private ProgressBar prgBar;
	/**
	 * 
	 */
	public PocketPCSynchroProgressBar(String frameName) {
   	frame = new Frame(frameName);
		frame.setLayout(new FlowLayout(FlowLayout.CENTER));
   	Canvas canhaut = new Canvas();
   	canhaut.setSize(230, 100);
   	frame.add(canhaut);
   	prgBar = new ProgressBar();
   	prgBar.setSize(200, 20);
   	frame.add(prgBar);
		frame.setSize(230, 320);
	}
	public PocketPCSynchroProgressBar() {
   	this("Synchronisation");
	}
	public void setVisible()	{
		frame.setVisible(true);
		frame.toFront();
	}
	
	public void dispose()	{
		frame.setVisible(false);
		frame.dispose();
	}
	
	/**
	 * show the specified percentage of the progress bar
	 * @param percent : from 0 to 100 percent of the progress bar to show
	 */
	public void setProgressBar(int percent)	{
		prgBar.updateBar(percent);
	}

}
