/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  Creation P.Delrieu
 * 
 */

package org.openmobileis.services.security;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.openmobileis.common.intl.IntlResourceManager;
import org.openmobileis.common.util.log.LogManager;
import org.openmobileis.common.util.log.LogServices;
import org.openmobileis.embedded.webserver.WebServerConnection;
import org.openmobileis.services.Service;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description: Validate the login/pass for session login.
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public class ValidatePasswordServlet extends HttpServlet {
  static final long serialVersionUID = 5521257935120563452L;
 	
  public void service( HttpServletRequest req, HttpServletResponse res ) throws ServletException, java.io.IOException {
  	try	{
	  	String pass = req.getParameter("password");
	  	if ((pass==null)||(pass.length() ==0) ||  (!SessionLoginManager.getManager().validateSessionPass(pass)))	{
	  		req.getSession(true).setAttribute("security.pass.form", IntlResourceManager.getManager().getLocalizedProperty("org.openmobileis.module.login.validatepassword.error.login"));
	  	} else	{
	  		SessionLoginManager.getManager().setServiceCall();
	  	}
  	} catch (Throwable ex)	{
  		LogManager.traceError(LogServices.WEBSERVICE, ex);
  		req.getSession(true).setAttribute("security.pass.form", IntlResourceManager.getManager().getLocalizedProperty("org.openmobileis.module.login.validatepassword.error.login"));
  	}
  	Service service = (Service)req.getSession(true).getAttribute("passservletreturnservice");
  	String uri = (String)req.getSession(true).getAttribute("passservletreturnservicerequri");
  	java.util.Map oldparam = (java.util.Map)req.getSession(true).getAttribute("passservletreturnservicereqparam");
  	((WebServerConnection)res).setRequestURI(uri);
  	java.util.Map newparam = req.getParameterMap();
  	newparam.clear();
  	newparam.putAll(oldparam);
  	service.runService(req, res);
  }

}
